org.apache.solr.client.solrj.impl

## Class ConcurrentUpdateSolrClient.Builder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.ConcurrentUpdateSolrClient.Builder

- Enclosing class:
    ConcurrentUpdateSolrClient

      public static class ConcurrentUpdateSolrClient.Builder
      extends Object

  Constructs `ConcurrentUpdateSolrClient` instances from provided configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(String baseSolrUrl)` Create a Builder object, based on the provided Solr URL.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConcurrentUpdateSolrClient.Builder` | `alwaysStreamDeletes()` Configures created clients to always stream delete requests.
    `ConcurrentUpdateSolrClient` | `build()` Create a `ConcurrentUpdateSolrClient` based on the provided configuration options.
    `ConcurrentUpdateSolrClient.Builder` | `neverStreamDeletes()` Configures created clients to not stream delete requests.
    `ConcurrentUpdateSolrClient.Builder` | `withExecutorService(ExecutorService executorService)` Provides the `ExecutorService` for clients to use when servicing requests.
    `ConcurrentUpdateSolrClient.Builder` | `withHttpClient(org.apache.http.client.HttpClient httpClient)` Provides a `HttpClient` for the builder to use when creating clients.
    `ConcurrentUpdateSolrClient.Builder` | `withQueueSize(int queueSize)` The number of documents to batch together before sending to Solr.
    `ConcurrentUpdateSolrClient.Builder` | `withThreadCount(int threadCount)` The number of threads used to empty `ConcurrentUpdateSolrClient`s queue.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(String baseSolrUrl)

      Create a Builder object, based on the provided Solr URL.
      Parameters:
        `baseSolrUrl` - the base URL of the Solr server that will be targeted by any created clients.

  - ### Method Detail

    - #### withHttpClient

          public ConcurrentUpdateSolrClient.Builder withHttpClient(org.apache.http.client.HttpClient httpClient)

      Provides a `HttpClient` for the builder to use when creating clients.

    - #### withQueueSize

          public ConcurrentUpdateSolrClient.Builder withQueueSize(int queueSize)

      The number of documents to batch together before sending to Solr.

    - #### withThreadCount

          public ConcurrentUpdateSolrClient.Builder withThreadCount(int threadCount)

      The number of threads used to empty `ConcurrentUpdateSolrClient`s queue.

    - #### withExecutorService

          public ConcurrentUpdateSolrClient.Builder withExecutorService(ExecutorService executorService)

      Provides the `ExecutorService` for clients to use when servicing requests.

    - #### alwaysStreamDeletes

          public ConcurrentUpdateSolrClient.Builder alwaysStreamDeletes()

      Configures created clients to always stream delete requests.

    - #### neverStreamDeletes

          public ConcurrentUpdateSolrClient.Builder neverStreamDeletes()

      Configures created clients to not stream delete requests.

    - #### build

          public ConcurrentUpdateSolrClient build()

      Create a `ConcurrentUpdateSolrClient` based on the provided configuration options.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.